<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Land Title Management</title>
    <!-- Bootstrap CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/css/bootstrap.min.css" rel="stylesheet">
    <style>
        .break-word {
            word-wrap: break-word;
        }
    </style>
</head>

<body>
    <div class="container mt-5">
        <h1 class="mb-4">Land Title Management</h1>
        <form id="createLandForm">
            <div class="mb-3">
                <label for="title" class="form-label">Title</label>
                <input type="text" class="form-control" id="title" required>
            </div>
            <div class="mb-3">
                <label for="description" class="form-label">Description</label>
                <textarea class="form-control" id="description" rows="3" required></textarea>
            </div>
            <button type="submit" class="btn btn-primary">Create Land Title</button>
        </form>

        <hr>

        <h2 class="my-4">Update Land Title</h2>
        <form id="updateLandForm">
            <div class="mb-3">
                <label for="updateId" class="form-label">Land Title ID</label>
                <input type="text" class="form-control" id="updateId" required>
            </div>
            <div class="mb-3">
                <label for="updateTitle" class="form-label">New Title</label>
                <input type="text" class="form-control" id="updateTitle" required>
            </div>
            <div class="mb-3">
                <label for="updateDescription" class="form-label">New Description</label>
                <textarea class="form-control" id="updateDescription" rows="3" required></textarea>
            </div>
            <button type="submit" class="btn btn-primary">Update Land Title</button>
        </form>

        <hr>

        <h2 class="my-4">Transfer Land Title</h2>
        <form id="transferLandForm">
            <div class="mb-3">
                <label for="transferId" class="form-label">Land Title ID</label>
                <input type="text" class="form-control" id="transferId" required>
            </div>
            <div class="mb-3">
                <label for="newOwnerUser" class="form-label">New Owner User</label>
                <input type="text" class="form-control" id="newOwnerUser" required>
            </div>
            <button type="submit" class="btn btn-primary">Transfer Land Title</button>
        </form>

        <hr>

        <h2 class="my-4">Read Land Title</h2>
        <form id="readLandForm">
            <div class="mb-3">
                <label for="readId" class="form-label">Land Title ID</label>
                <input type="text" class="form-control" id="readId" required>
            </div>
            <button type="submit" class="btn btn-primary">Read Land Title</button>
        </form>

        <hr>
        <div id="result" class="mt-4"></div>
    </div>

    <!-- Bootstrap JS (optional) -->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/js/bootstrap.bundle.min.js"
        integrity="sha384-MbyEHnnwMlI3NZksaRU1ZRkBfo3/q9M2F6Dp1tC1yZS9Re5hqixssAvG2y5zFmgK"
        crossorigin="anonymous"></script>
    <!-- Custom JS -->
    <script src="index_html.js"></script>
</body>

</html>